Subject: bug#22743: 25.0.91: set-quit-char does not work if emacs lacks a controlling tty

From: Duncan Burke <[email-masked]>
Date: Sat, 20 Feb 2016 22:48:28 +1100

On 20/02/16 19:04, John Wiegley wrote:
>>>>>> Duncan Burke <[email-masked]> writes:
>> I have heavily customised keybindings on a dvorak layout and this
>> necessitates rebinding quit away from its default value of C-g.
> Hi Duncan,
>
> I'm also a Dvorak user of many years; I find C-g to be quite convenient,
> actually; why did you need to rebind it?  (I ask mainly out of curiosity).
>
You're right, C-g is actually pretty convenient for Dvorak, I move it 
because
it conflicts with other bindings I've chosen.

I have C-h/t/n/s as backward-char, previous-line, next-line and forward 
char.
Then, M-h/t/n/s are backward-word, backward-paragraph, 
forward-paragraph, and
forward-word. M-H/T/N/S continue this pattern, and C-M-h/t/n/s move between
windows.

Going up one row, the commands are the same except killing instead of 
movement
so C-g/c/r/l are backward-delete-char, kill-previous-line, 
kill-next-line and
delete-forward-char.